'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './drawchancepop.less';
import modalStore from '@src/store/modal';
import { sensorMdClick, sensorMdExpouse } from '@src/utils/sensorMd';
import { Button } from '../Button';

@observer
class Drawchancepop extends React.Component {
  constructor(props) {
    super(props);
  }

  componentDidMount() {
    sensorMdExpouse("PopupExpouse", { pageName: "提示获取抽奖机会弹窗" });
  }

  handleClick = () => {
    sensorMdClick("PopupClick", { pageName: "提示获取抽奖机会弹窗点击", buttonName: "去做任务" });
    modalStore.closePop("Drawchancepop");
    modalStore.pushPop("Taskpop", { refresh: this.props.popData.refresh })
  }

  render() {
    return (
      <div className="drawchancepop modal_center">
        <span className="bg"></span>
        <span className="text">完成任务可获得抽奖机会哦～</span>
        <Button className="btn md12" onClick={this.handleClick}></Button>
      </div>
    );
  }
}
export default Drawchancepop;
